## freeciv 2.5.5

=== debian/changelog ===
freeciv (2.5.5-1build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:01:24 +0000

freeciv (2.5.5-1) unstable; urgency=medium

  * Imported Upstream version 2.5.5.
  * Remove libpng-dev from Build-Depends. Not needed.

 -- Markus Koschany <apo@debian.org>  Sat, 30 Jul 2016 22:04:30 +0200

freeciv (2.5.4-2) unstable; urgency=medium

  * Build and ship the gtk3 client of FreeCiv in a separate package.
  * Remove obsolete build-dependencies that were only needed for the old xaw
    client. Thanks to Marko Lindqvist for the report. (Closes: #827666)

 -- Markus Koschany <apo@debian.org>  Sat, 09 Jul 2016 22:25:38 +0200

freeciv (2.5.4-1) unstable; urgency=medium

  * Imported Upstream version 2.5.4.
  * Declare compliance with Debian Policy 3.9.8.

 -- Markus Koschany <apo@debian.org>  Mon, 16 May 2016 00:38:59 +0200
