=== debian/changelog ===
freeciv (2.5.6-2ubuntu1) zesty; urgency=medium

  * Do not force PIE hardening to avoid FTBFS on amd64 and i386

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 12 Apr 2017 13:33:46 +0200

freeciv (2.5.6-2) unstable; urgency=medium

  * Intall the appdata files into the individual freeciv client packages.
    Thanks to Laurent Bigonville for the report and patch. (Closes: #848720)
  * Remove dh-autoreconf from Build-Depends because compat level 10 uses it by
    default.

 -- Markus Koschany <apo@debian.org>  Tue, 20 Dec 2016 01:47:35 +0100

freeciv (2.5.6-1) unstable; urgency=medium

  * New upstream version 2.5.6.

 -- Markus Koschany <apo@debian.org>  Sat, 19 Nov 2016 17:03:28 +0100

freeciv (2.5.5-2) unstable; urgency=medium

  * Export all hardening build flags and use -pie again. (Closes: #844198)
  * Switch to compat level 10.

 -- Markus Koschany <apo@debian.org>  Tue, 15 Nov 2016 17:31:09 +0100
