## freeciv 2.5.9

=== win32/installer/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 # Usage:
 #
 # 1. download and extract the MinGW build environment from
-#    http://download.gna.org/freeciv/packages/windows/gnuwin32/
-#    Current version is gnuwin32-2016-07-27.
+#    https://sourceforge.net/projects/freeciv/files/dependencies/gnuwin32/
+#    Current version is gnuwin32-2017-07-30.
 # 2. double click on "gnuwin32/msys.bat"
 # 3. install the development packages:
 #    $ hg qpush -a
@@ -42,7 +42,7 @@
 
 snapshot:
 	cd ../.. ; ./autogen.sh --no-configure-run
-	make VERSION_REVTYPE="svn" EXTRA_CONFIG="--enable-svnrev" all
+	make VERSION_REVTYPE="git" EXTRA_CONFIG="--enable-gitrev" all
 
 
 # build Freeciv
@@ -143,6 +143,7 @@
 	libvorbis-0.dll \
 	libvorbisfile-3.dll \
 	libxml2-2.dll \
+	mgwhelp.dll \
 	pthreadGC2.dll \
 	ssleay32.dll \
 	zlib1.dll
