=== debian/changelog ===
freeciv (2.5.9-1) unstable; urgency=medium

  * New upstream version 2.5.9.

 -- Markus Koschany <apo@debian.org>  Sat, 19 Aug 2017 18:00:13 +0200

freeciv (2.5.8-1) unstable; urgency=medium

  * New upstream version 2.5.8.
  * Declare compliance with Debian Policy 4.0.1.
  * Refresh themes_sdl_use_system_fonts.patch.
  * Install appdata files into metainfo directory.

 -- Markus Koschany <apo@debian.org>  Thu, 17 Aug 2017 17:51:09 +0200

freeciv (2.5.7-2) unstable; urgency=medium

  * Upload to unstable.
  * Declare compliance with Debian Policy 4.0.0.
  * Use https for Format field.

 -- Markus Koschany <apo@debian.org>  Fri, 23 Jun 2017 15:49:39 +0200

freeciv (2.5.7-1) experimental; urgency=medium

  * New upstream version 2.5.7.
  * Drop deprecated menu files.
  * Don't convert icons to xpm images anymore and drop imagemagick from B-D.
  * Update watch file. gna.org is closing soon.

 -- Markus Koschany <apo@debian.org>  Sat, 13 May 2017 18:57:11 +0200
