=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: freeciv
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Jordi Mallach <jordi@debian.org>,
  Clint Adams <clint@debian.org>,
  Karl Goetz <karl@kgoetz.id.au>,
  Markus Koschany <apo@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://www.freeciv.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/freeciv.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/freeciv.git
@@ -33,8 +32,6 @@
  qtbase5-dev,
  qtbase5-dev-tools,
  zlib1g-dev
-Build-Depends-Indep:
- imagemagick
 
 Package: freeciv
 Architecture: all
