=== debian/changelog ===
freeciv (2.5.10-1) unstable; urgency=medium

  * New upstream version 2.5.10.
  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.

 -- Markus Koschany <apo@debian.org>  Mon, 22 Jan 2018 15:14:03 +0100
