=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
  Clint Adams <clint@debian.org>,
  Karl Goetz <karl@kgoetz.id.au>,
  Markus Koschany <apo@debian.org>
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Homepage: http://www.freeciv.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/freeciv.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/freeciv.git
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  gettext,
  gnulib,
  libbz2-dev,
