=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 # Export all hardening build flags
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # Avoid useless dependencies
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
@@ -32,10 +32,6 @@
 		--enable-fcdb=sqlite3 \
 		--without-freeciv-manual \
 		--with-missinglist
-
-override_dh_auto_build-indep:
-	convert -monitor data/icons/32x32/freeciv-client.png freeciv.xpm
-	convert -monitor data/icons/32x32/freeciv-server.png freeciv-server.xpm
 
 override_dh_install:
 	# Move stuff that gets lost thanks to ${datadir}
@@ -83,8 +79,6 @@
 
 override_dh_clean:
 	dh_clean
-	rm -f freeciv.xpm
-	rm -f freeciv-server.xpm
 	find . -name '*.o' -delete
 	find . -name '.libs' -delete
 	find . -name '.dists' -delete
